LINUX.ORG.RU

Не теряйте время на установку PAC на OpenSUSE 12.2/12.3

 ,


0

1

Решил поставить PAC

Взаимозависимости ловил по одному из яста.

тупик

ice@ice:~/tmp> pac-manager
Can't locate Gtk2/GladeXML.pm in @INC (@INC contains: /usr/share/pac-manager/lib/edit /usr/share/pac-manager/lib/ex/vte64 /usr/share/pac-manager/lib /usr/share/pac-manager/lib/ex /usr/lib/perl5/site_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.16.2 /usr/lib/perl5/vendor_perl/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.16.2 /usr/lib/perl5/5.16.2/x86_64-linux-thread-multi /usr/lib/perl5/5.16.2 /usr/lib/perl5/site_perl .) at /usr/share/pac-manager/lib/PACEdit.pm line 41.
BEGIN failed--compilation aborted at /usr/share/pac-manager/lib/PACEdit.pm line 41.
Compilation failed in require at /usr/share/pac-manager/lib/PACMain.pm line 51.
BEGIN failed--compilation aborted at /usr/share/pac-manager/lib/PACMain.pm line 51.
Compilation failed in require at /usr/bin/pac-manager line 36.
BEGIN failed--compilation aborted at /usr/bin/pac-manager line 36.
ice@ice:~/tmp> 

такой либы на офиц репах нет, более того нету и на http://pkgs.org/

Хотел скомпилировать из гита https://git.gnome.org/browse/perl-Gtk2-GladeXML/

ice@ice:~/Downloads/rel-1-00-7> perl Makefile.PL 
Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'gtk+-2.0', required by 'Libglade', not found
 at Makefile.PL line 48.
*** can not find package libglade-2.0 >= 2.0.0
*** check that it is properly installed and available in PKG_CONFIG_PATH
 at Makefile.PL line 48.
ice@ice:~/Downloads/rel-1-00-7> 

После очередной ошибки, охота продолжать ставить все это дело резко пропала.

Осталость сообщить, что консоль рулит и пометить тему как решённую.

mky ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.